##You should have received a copy of the GNU Lesser General Public License ##along with pythonOCC. If not, see <http://www.gnu.org/licenses/>. import sys from OCC.Display.SimpleGui import init_display from OCCT.Graphic3d import Graphic3d_RenderingParams from OCCT.BRepTools import breptools_Read from OCCT.TopoDS import TopoDS_Shape from OCCT.BRep import BRep_Builder display, start_display, add_menu, add_function_to_menu = init_display() # loads the motor model motor_c = TopoDS_Shape() builder = BRep_Builder() breptools_Read(motor_c, '../assets/models/Motor-c.brep', builder) display.DisplayShape(motor_c, update=True) def perspective(event=None): display.SetPerspectiveProjection() display.FitAll() def orthographic(event=None): display.SetOrthographicProjection() display.FitAll() def anaglyph_red_cyan(event=None): display.SetAnaglyphMode(Graphic3d_RenderingParams.Anaglyph_RedCyan_Simple)
## ##This file is part of pythonOCC. ## ##pythonOCC is free software: you can redistribute it and/or modify ##it under the terms of the GNU Lesser General Public License as published by ##the Free Software Foundation, either version 3 of the License, or ##(at your option) any later version. ## ##pythonOCC is distributed in the hope that it will be useful, ##but WITHOUT ANY WARRANTY; without even the implied warranty of ##MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the ##GNU Lesser General Public License for more details. ## ##You should have received a copy of the GNU Lesser General Public License ##along with pythonOCC. If not, see <http://www.gnu.org/licenses/>. from OCC.Display.WebGl import x3dom_renderer from OCCT.BRep import BRep_Builder from OCCT.TopoDS import TopoDS_Shape from OCCT.BRepTools import breptools_Read # loads brep shape cylinder_head = TopoDS_Shape() builder = BRep_Builder() breptools_Read(cylinder_head, '../assets/models/cylinder_head.brep', builder) # render cylinder head in x3dom my_renderer = x3dom_renderer.X3DomRenderer() my_renderer.DisplayShape(cylinder_head) my_renderer.render()
def get_brep(): cylinder_head = TopoDS_Shape() builder = BRep_Builder() breptools_Read(cylinder_head, '../assets/models/cylinder_head.brep', builder) return cylinder_head